#include <bits/stdc++.h>
using namespace std;

int main()
{
	int n;
	long long int l;
	cin >> n >> l;
	long long int h[n];
	int stop = -1;
	for (int i=0; i<n; i++)
	{
		cin >> h[i];
		if (h[i] <= l && stop == -1) 
			stop = i+1;
	}
	cout << stop;

	return 0;
}